import { html as i } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (n, e, a, t) => {
  for (var r = t > 1 ? void 0 : t ? m(e, a) : e, s = n.length - 1, p; s >= 0; s--)
    (p = n[s]) && (r = (t ? p(e, a, r) : p(r)) || r);
  return t && r && g(e, a, r), r;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--calendarErrorLarge", this.class = "c-pieIcon c-pieIcon--calendarErrorLarge", this.name = "IconCalendarErrorLarge";
  }
  render() {
    return i`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--calendarErrorLarge"><path d="M10.327 12.509h11.46l.873-1.746H9.454z"></path><path d="M22.075 6.364V4.618h-1.746v1.746h-8.728V4.618H9.855v1.746H4.618v20.948h18.33a4.364 4.364 0 0 0 4.364-4.364V6.364zm3.491 16.584a2.62 2.62 0 0 1-2.618 2.618H6.364V8.11h3.491v.873h1.746V8.11h8.728v.873h1.746V8.11h3.491z"></path><path d="m19.77 16.244-1.23-1.239-2.776 2.775-2.775-2.775-1.24 1.24 2.776 2.775-2.776 2.776 1.24 1.23 2.775-2.775 2.776 2.775 1.23-1.23-2.775-2.776z"></path></svg>`;
  }
};
l([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  f("icon-calendar-error-large")
], o);
export {
  o as IconCalendarErrorLarge
};
